Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.PayLoadData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| PayLoadData ()
| Constructor.
| PayLoadData (float version, string crypto_filter, string file_name, long file_size, string description)
| Constructor, with parameters. More...
| PayLoadData (PayLoadData payload_data)
| Constructor, with another payload data object. More...
void | Set (float version, string crypto_filter, string file_name, long file_size, string description)
| Set value. More...

## Properties
string | crypto_filter`[get, set]`
| The name of the cryptographic filter used to encrypt the encrypted payload document.
string | description`[get, set]`
| Description for payload file to show applications or confront users prompt information.
string | file_name`[get, set]`
| The payload file name.
long | file_size`[get, set]`
| The payload file size.
float | version`[get, set]`
| The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

## Detailed Description

This class represents payload data, which is used for a PDF 2.0 wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ PayLoadData() [1/2]

foxit.pdf.PayLoadData.PayLoadData | ( | float | version,
|  | string | crypto_filter,
|  | string | file_name,
|  | long | file_size,
|  | string | description
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ PayLoadData() [2/2]

foxit.pdf.PayLoadData.PayLoadData | ( | PayLoadData | payload_data | ) |
| inline

Constructor, with another payload data object.

Parameters

  [in] | payload_data | Another payload data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.PayLoadData.Set | ( | float | version,
|  | string | crypto_filter,
|  | string | file_name,
|  | long | file_size,
|  | string | description
| ) |  |
| inline

Set value.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.